debpear(1)

NAME
debpear - automatically builds and installs PEAR packages as Debian packages

SYNOPSIS
debpear [options] <pear-package-name>

DESCRIPTION

debpear is a tool to automatically create and build a Debian package out of a PHP PEAR package. It will download the PEAR package from pear.php.net, then by looking into it, create the corresponding Debian package, and eventually also installs it.

PARAMETERS

<pear-package-name>

    Defines the PEAR package name you want to install, as seen on the http://pear.php.net/ site. Make sure respect the case in the name of the package (for example: Package_NAME).

OPTIONS

--build-dir|-b

    Specify the directory where the Debian package will be built.

--verbose|-v

    Makes debpear more verbose.

--channel|-c channel-alias

    Specify the channel-alias which provide from the pear-channels package, pear and pecl channel.

--tarball|-t tarball --pkg-version|-pv pkg-version [ --wget|-w URL ]

    Do not use "pear download" to optain the PEAR package from upstream authors. Instead, use tarball and use pkg-version when building the package. Eventually also download the tarball from URL using wget before building.

--install|-i

    Install the resulting debian package in your system. Note that you must be root to use this option. If you aren't root, then debpear will try to get root using sudo.

EXAMPLE

debpear -i Auth_RADIUS

    This will create a php-auth-radius package in ./build-area, and automatically install it. Because it's written in the package.xml shipped with Auth_RADIUS at pear.php.net, php-auth-radius will depend on php5-radius.

debpear -t current.tgz -pv 1.3.1 -w http://downloads.jasig.org/cas-clients/php/current.tgz CAS

    Downloads cas-clients from http://downloads.jasig.org/cas-clients/php/current.tgz, as current.tgz in the current directory, then builds it as if it was downloaded as CAS-1.3.1.tgz by "pear download".

debpear -c pecl gnupg

    This will create a php-gnupg package from the pecl.php.net channel.

debpear -c phpunit DbUnit

    This will create a php-dbunit package from the pear.phpunit.de channel.

IMPORTANT

    Note that the debian/copyright file generated by debpear isn't good enough for redistribution of the created packages. You should carefuly review the PEAR package license before doing so. Also, debpear has been created for convenience, but it will never replace the manual work of an experienced Debian maintainer for creating PEAR packages. It can, however, be used to create a template package quickly, before a careful review, in order to save time building a Debian PEAR package.

AUTHORS

    debpear has been written by Thomas Goirand <zigo@debian.org>, and is maintained inside the PKG PHP PEAR Debian team, that can be reached at: <pkg-php-pear@lists.alioth.debian.org>.